Bug 151106 - Border around a paragraph is faulty (oowriter)
Border around a paragraph is faulty (oowriter)
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2005-03-14 17:39 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-15 04:22:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 45066 None None None Never

  None (edit)
Description Paul F. Johnson 2005-03-14 17:39:38 EST
Description of problem:
Putting a border around a piece of text where some is indented causes multiple
borders to be inserted

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Type in some text, press return, insert a bullet list or number list
2. Select the text, click with right hand mouse button, select paragraph
3. Add a border, ensure that the merge option is selected
Actual results:
Multiple border blocks occur with an indent for the number list

Expected results:
A single border block should occur

Additional info:
If I don't use any form of indentation, the borders merge and everything is as
Comment 1 Caolan McNamara 2005-03-15 04:22:50 EST
This is one of my pet hates, this behaviour is unchanged since 1.1.X. The border
is drawn around a paragraph the border distance from the paragraph indent, in
this case the numbering adds some numbering indent to the left of the paragraph
so the border draws that distance from the left of the para which breaks the
single box around the two so you end up with staggered boxes.  Given that this
is how it already works for some years, there isn't a trivial fix taking old
document behaviour into consideration. But perhaps something could be done in
the future UI that when multiple paragraphs are selected that a common box could
be determined and the individual contained paragraphs indent modified somehow to
give a seemless box.

Upstreamed as http://www.openoffice.org/issues/show_bug.cgi?id=45066

Note You need to log in before you can comment on or make changes to this bug.